--Variables
local StackSize = 1000
local MagSize = 500
local PlayerHealth = 1000
local RoboportRadius = 100 --Vanilla = 25 and 50
local RobotPayloadSize = 10 --Vanilla = 1
local RobotSpeed = 1 --Vanilla = 0.05
local WallHP = 20000 --Vanilla = 350
local CraftingMult = 20 --Times faster for Assembers and oil refinery/chemical plant
local productivitymod = 100 --Times faster for productivity modules
local speedmod = 100 --Times faster for Speed modules


--Do not change past here
--StackChange code
for _,dat in pairs(data.raw) do
   for _,items in pairs(dat) do
      if items.stack_size and items.stack_size>1 then
         items.stack_size = StackSize
      end
   end
   for i, ammo in pairs(data.raw.ammo) do
      ammo.stack_size = StackSize
	  ammo.magazine_size = MagSize
	end
	for i, mod in pairs(data.raw["module"]) do
      mod.stack_size = StackSize
   end
	for i, cap in pairs(data.raw["capsule"]) do
      cap.stack_size = StackSize
    end

end

--Inserters
data.raw["inserter"]["smart-inserter"].extension_speed = 1
data.raw["inserter"]["smart-inserter"].rotation_speed = 1

data.raw["inserter"]["fast-inserter"].extension_speed = 1.5
data.raw["inserter"]["fast-inserter"].rotation_speed = 1.5

--Modules
data.raw["module"]["speed-module"].effect = { speed = {bonus = 0.2 * speedmod}, consumption = {bonus = 0.5}}
data.raw["module"]["speed-module-2"].effect = { speed = {bonus = 0.3 * speedmod}, consumption = {bonus = 0.6}}
data.raw["module"]["speed-module-3"].effect = { speed = {bonus = 0.5 * speedmod}, consumption = {bonus = 0.7}}

data.raw["module"]["productivity-module"].effect = { productivity = {bonus = 0.04 * productivitymod}, consumption = {bonus = 0.4}, pollution = {bonus = 0.3}, speed = {bonus = -0.15}}
data.raw["module"]["productivity-module"].limitation = ""

data.raw["module"]["productivity-module-2"].effect = { productivity = {bonus = 0.06 * productivitymod}, consumption = {bonus = 0.6}, pollution = {bonus = 0.4}, speed = {bonus = -0.15}}
data.raw["module"]["productivity-module-2"].limitation = ""

data.raw["module"]["productivity-module-3"].effect = { productivity = {bonus = 0.1 * productivitymod}, consumption = {bonus = 0.8}, pollution = {bonus = 0.5}, speed = {bonus = -0.15}}
data.raw["module"]["productivity-module-3"].limitation = ""



--Assembler machines and oils
data.raw["assembling-machine"]["assembling-machine-3"].crafting_speed = 1.25 * CraftingMult
data.raw["assembling-machine"]["assembling-machine-2"].crafting_speed = 0.75 * CraftingMult
data.raw["assembling-machine"]["assembling-machine-1"].crafting_speed = 0.5 * CraftingMult
data.raw["assembling-machine"]["chemical-plant"].crafting_speed = 1.25 * CraftingMult
data.raw["assembling-machine"]["oil-refinery"].crafting_speed = 1 * CraftingMult

--Stone Walls
data.raw["wall"]["stone-wall"].max_health = WallHP
data.raw["gate"]["gate"].max_health = WallHP

--Electrical poles
data.raw["electric-pole"]["substation"].supply_area_distance = 28
data.raw["electric-pole"]["substation"].maximum_wire_distance = 56 --Should be double of supply area
data.raw["electric-pole"]["medium-electric-pole"].supply_area_distance = 20
data.raw["electric-pole"]["medium-electric-pole"].maximum_wire_distance = 60
data.raw["electric-pole"]["big-electric-pole"].supply_area_distance = 8
data.raw["electric-pole"]["big-electric-pole"].maximum_wire_distance = 80
data.raw["electric-pole"]["small-electric-pole"].supply_area_distance = 14
data.raw["electric-pole"]["small-electric-pole"].maximum_wire_distance = 28

--Roboport and robots tweaks
data.raw["roboport"]["roboport"].logistics_radius = RoboportRadius
data.raw["roboport"]["roboport"].construction_radius = RoboportRadius
data.raw["construction-robot"]["construction-robot"].speed = RobotSpeed
data.raw["construction-robot"]["construction-robot"].energy_per_move = "0.1kJ"
data.raw["construction-robot"]["construction-robot"].max_payload_size = RobotPayloadSize
data.raw["logistic-robot"]["logistic-robot"].speed = RobotSpeed
data.raw["logistic-robot"]["logistic-robot"].energy_per_move = "0.1kJ"
data.raw["logistic-robot"]["logistic-robot"].max_payload_size = RobotPayloadSize



--Changes the inventory size from 60 to 120
data.raw["player"]["player"].inventory_size = 120

--Changes the player health
data.raw.player.player.max_health = PlayerHealth

-- Fuel changes
data.raw.item["coal"].fuel_value = "120MJ"
data.raw.item["wood"].fuel_value = "10MJ"
data.raw.item["raw-wood"].fuel_value = "40MJ"

-- Steel axe settings
data.raw["mining-tool"]["steel-axe"].speed = 60
data.raw["mining-tool"]["steel-axe"].durability = 200000

-- Iton axe settings
data.raw["mining-tool"]["iron-axe"].speed = 35
data.raw["mining-tool"]["iron-axe"].durability = 10000


-- Repairpack tweaks
data.raw["repair-tool"]["repair-pack"].durability = 500000
data.raw["repair-tool"]["repair-pack"].speed = 50000

-- Mining speed on drills
data.raw["mining-drill"]["basic-mining-drill"].mining_speed = 6
data.raw["mining-drill"]["burner-mining-drill"].mining_speed = 3

-- Furnace tweaks
data.raw.furnace["electric-furnace"].crafting_speed = 10
data.raw.furnace["steel-furnace"].crafting_speed = 6
data.raw.furnace["stone-furnace"].crafting_speed = 3
data.raw.furnace["electric-furnace"].module_slots = 4

--Resource modifiers
data.raw.resource["copper-ore"].autoplace.richness_base = 8000
data.raw.resource["coal"].autoplace.richness_base = 8000
data.raw.resource["iron-ore"].autoplace.richness_base = 8000
data.raw.resource["crude-oil"].autoplace.richness_base = 35000
data.raw.resource["stone"].autoplace.richness_base = 8000

data.raw.resource["copper-ore"].autoplace.richness_multiplier = 15000
data.raw.resource["coal"].autoplace.richness_multiplier = 15000
data.raw.resource["iron-ore"].autoplace.richness_multiplier = 15000
data.raw.resource["crude-oil"].autoplace.richness_multiplier = 50000
data.raw.resource["stone"].autoplace.richness_multiplier = 15000

--Special thanks to Dysoch (DyTech) for this fix!

--[[ Old Stackcode
--Special thanks to Dysoch (DyTech) for this fix!
StackSize = 1000
   for k, v in pairs(data.raw.item) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw.ammo) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw.gun) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw["repair-tool"]) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw.tool) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw["capsule"]) do
      v.stack_size = StackSize
   end
   for k, v in pairs(data.raw["module"]) do
      v.stack_size = StackSize
   end
--]]